version: "3.9"
services:
  directus:
    image: directus/directus:latest
    ports:
      - 8055:8055
    volumes:
      - ./directus/database:/directus/database
      - ./directus/uploads:/directus/uploads
      - ./directus/extensions:/directus/extensions
    links:
      - db
    networks:
      - fdc
    environment:
      KEY: "CHANGEME"
      SECRET: "CHANGEME"
      ADMIN_EMAIL: "fdc@example.com"
      ADMIN_PASSWORD: "fdc"
      DB_CLIENT: "mysql"
      DB_HOST: "db"
      DB_PORT: "3306"
      DB_DATABASE: "fdc"
      DB_USER: "root"
      DB_PASSWORD: "root"
      CORS_ENABLED: true
      CORS_ORIGIN: true
      WEBSOCKETS_ENABLED: true
      WEBSOCKETS_REST_AUTH: "public"
  db:
    image: mysql:8.0
    environment:
      MYSQL_ROOT_PASSWORD: root
      MYSQL_DATABASE: fdc
      MYSQL_USER: fdc
      MYSQL_PASSWORD: fdc
    command: --default-authentication-plugin=mysql_native_password --character-set-server=utf8 --collation-server=utf8_general_ci
    ports:
      - "3306:3306"
    volumes:
      - ${PWD}/data:/var/lib/mysql
    networks:
      - fdc
  phpmyadmin:
    image: phpmyadmin/phpmyadmin
    links:
      - db
    environment:
      PMA_HOST: db
      PMA_PORT: 3306
      PMA_ARBITRARY: 1
    networks:
      - fdc
    restart: always
    ports:
      - 8081:80

networks:
  fdc:
    driver: bridge
